<?php
// +----------------------------------------------------------------------+
// | Anuko Time Tracker
// +----------------------------------------------------------------------+
// | Copyright (c) Anuko International Ltd. (http://www.anuko.com)
// +----------------------------------------------------------------------+
// | LIBERAL FREEWARE LICENSE: This source code document may be used
// | by anyone for any purpose, and freely redistributed alone or in
// | combination with other software, provided that the license is obeyed.
// |
// | There are only two ways to violate the license:
// |
// | 1. To redistribute this code in source form, with the copyright
// |    notice or license removed or altered. (Distributing in compiled
// |    forms without embedded copyright notices is permitted).
// |
// | 2. To redistribute modified versions of this code in *any* form
// |    that bears insufficient indications that the modifications are
// |    not the work of the original author(s).
// |
// | This license applies to this document only, not any other software
// | that it may be combined with.
// |
// +----------------------------------------------------------------------+
// | Contributors:
// | http://www.anuko.com/content/time_tracker/open_source/credits.htm
// +----------------------------------------------------------------------+
    
foreach($rows as $id=>$val) {
	if($val['start']!="") {
		$len = strlen($val['start']);
		if($len==3)
			$rows[$id]['start'] = $val['start']{0}.":".$val['start']{1}.$val['start']{2};
		else
			$rows[$id]['start'] = $val['start']{0}.$val['start']{1}.":".$val['start']{2}.$val['start']{3};
	}
}
    
    if ($total_only) {
    	$short_header = array();
    	foreach ($hkeys as $k=>$fn) {
    		if ($fn==$sort_key || $fn=='duration') $short_header[] = $header[$k];
    	}
    	print join(",",$short_header)."\n";
    	
    	if (is_array($sub_summary) && !isset($sub_summary['common'])) {
	    	foreach ($sub_summary as $v=>$sv) {
				$v = str_replace('"','""',$v);
				if ($v=='')	$v = '"'.$v.'"';
				print $v.",".$sv."\n";
	    	}
    	}
    
    } else {
    	print join(",",$header)."\n";
    	$prev_value = "";
    	$prev_date = "";
    
	    for ( $i=0; $i<count($rows); $i++ ) {
	      $row = $rows[$i];
	
		  $sep = "";
	      $srow = "";
	      foreach ($hkeys as $fn) {
	        $v = $row[$fn];
	        $v = str_replace('"','""',$v);

	        if ($fn == 'date') { $v = @$clean_dates[$row[$fn]]; }
	        if ($fn == 'user' && $v=='' && $sort_key=='user') $v = $row['sortkey'];
			if ($fn == 'project') {
				if ($v=='' && $sort_key=='project') $v = $row['sortkey'];
				$v = '"'.$v.'"';
			}
			if ($fn == 'activity') {
				if ($v=='' && $sort_key=='activity') $v = $row['sortkey'];
				$v = '"'.$v.'"';
			}
			if ($bean->getAttribute('showidle')) {
				if ($fn == 'note' && $v=='' && strlen($row['duration'])==0) $v = "no data";
				if ($fn == 'project' && $v=='' && $bean->getAttribute('project')) $v = $current_project_name;
				if ($fn == 'activity' && $v=='' && $bean->getAttribute('activity')) $v = $current_activity_name;
			}
			//if ($fn == 'user' && $v=='') $v = "no entry";
			if (!(strpos($v, ",")===false)) $v = '"'.$v.'"';
			
			if(EXPORT_TIMEFORMAT=="." AND $fn == 'duration')
				$v = time_to_decimal($v);
	   		
			$srow .= $sep . $v; 
	        $sep = ",";
		  }
		  print "$srow\n";
		  //--
		  
		  $prev_value = $row['sortkey'];
		  $prev_date = $row['date'];
		}
	}

?>