<?php
// +----------------------------------------------------------------------+
// | Anuko Time Tracker
// +----------------------------------------------------------------------+
// | Copyright (c) Anuko International Ltd. (http://www.anuko.com)
// +----------------------------------------------------------------------+
// | LIBERAL FREEWARE LICENSE: This source code document may be used
// | by anyone for any purpose, and freely redistributed alone or in
// | combination with other software, provided that the license is obeyed.
// |
// | There are only two ways to violate the license:
// |
// | 1. To redistribute this code in source form, with the copyright
// |    notice or license removed or altered. (Distributing in compiled
// |    forms without embedded copyright notices is permitted).
// |
// | 2. To redistribute modified versions of this code in *any* form
// |    that bears insufficient indications that the modifications are
// |    not the work of the original author(s).
// |
// | This license applies to this document only, not any other software
// | that it may be combined with.
// |
// +----------------------------------------------------------------------+
// | Contributors:
// | http://www.anuko.com/content/time_tracker/open_source/credits.htm
// +----------------------------------------------------------------------+
	
	require_once('initialize.php');
	import('form.Form');
	import('UserHelper');

	if ($auth->isAuthenticated()) {
		$user = new User($auth->getUserId());
		if (!$user->isAdministrator()) {
			Header("Location: login.php");
			exit();
		}
	} else {
		Header("Location: login.php");
		exit();
	}

    $smarty->assign("profiles_list", UserHelper::findAllAccount());
    $smarty->assign("userdet_string",UserHelper::getUserDetailsString($user,$GLOBALS["I18N"]));
    $smarty->assign("title_page",$i18n->getKey("form.admin.profile.title"));
  	$smarty->assign("content_page_name","admin_profiles.tpl");
  	$smarty->display(INDEX_TEMPLATE);
?>